package com.beanpodtech.allinone.bean;

import java.io.Serializable;
import java.util.List;

public class QaWaittingInfoBean  extends BaseRequestBean implements Serializable {

    private int currentPosition;
    private int totalNumber;
    private int teacherNumber;
    private List<StudentInfo> waittingStudentInfos;
    private int state;
    private String account;
    private long schoolId;
    private long courseId;
    private long lessonId;
    private String nickName ;

    public int getCurrentPosition() {
        return currentPosition;
    }

    public void setCurrentPosition(int currentPosition) {
        this.currentPosition = currentPosition;
    }

    public int getTotalNumber() {
        return totalNumber;
    }

    public void setTotalNumber(int totalNumber) {
        this.totalNumber = totalNumber;
    }

    public int getTeacherNumber() {
        return teacherNumber;
    }

    public void setTeacherNumber(int teacherNumber) {
        this.teacherNumber = teacherNumber;
    }

    public List<StudentInfo> getWaittingStudentInfos() {
        return waittingStudentInfos;
    }

    public void setWaittingStudentInfos(List<StudentInfo> waittingStudentInfos) {
        this.waittingStudentInfos = waittingStudentInfos;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(long schoolId) {
        this.schoolId = schoolId;
    }

    public long getCourseId() {
        return courseId;
    }

    public void setCourseId(long courseId) {
        this.courseId = courseId;
    }

    public long getLessonId() {
        return lessonId;
    }

    public void setLeasonId(long leasonId) {
        this.lessonId = lessonId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public class StudentInfo implements Serializable {
        private String userId;
        private String userName;
        private String vipLevel;

        public String getUserId() {
            return userId;
        }

        public void setUserId(String userId) {
            this.userId = userId;
        }

        public String getUserName() {
            return userName;
        }

        public void setUserName(String userName) {
            this.userName = userName;
        }

        public String getVipLevel() {
            return vipLevel;
        }

        public void setVipLevel(String vipLevel) {
            this.vipLevel = vipLevel;
        }
    }
}
